# Get onchain tiers

`POST https://api.strike.me/v1/payment-quotes/onchain/tiers`

Source: https://docs.strike.me/api/get-onchain-tiers/

---

Required scopes:

- partner.payment-quote.onchain.create

## Request body

`application/json`, required

- `btcAddress` (string, required): A valid Bitcoin address.
- `amount` (object, required): Amount to send.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.

Example:

```json
{
  "btcAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
  "amount": {
    "amount": "10.99",
    "currency": "USD"
  }
}
```

## Responses

### 200 OK

`application/json`

Array of object:

- `id` (string, required): The ID of the tier. Used in the onchain payment quote creation.
- `estimatedDeliveryDurationInMin` (int32, required): Estimated delivery duration in minutes.
- `estimatedFee` (object, required): Estimated fee for the transaction.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `minimumAmount` (object): The minimum amount allowed to be sent with this tier.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
